Summary:	Desk calculator language, similar to C
Summary(pl.UTF-8):	Język kalkulatora biurkowego podobny do C
Name:		nickle
Version:	2.84
Release:	2
License:	MIT
Group:		Development/Languages
Source0:	http://nickle.org/release/%{name}-%{version}.tar.gz
# Source0-md5:	cf2a1e403698835a152e56b625857e07
URL:		http://nickle.org/
BuildRequires:	bison
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-style-dsssl
BuildRequires:	docbook-utils
BuildRequires:	flex
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	texlive-fonts-jknappen
# mathpazo/fplmr.tfm
BuildRequires:	texlive-fonts-other
BuildRequires:	texlive-jadetex
BuildRequires:	texlive-latex
# T2Acmr.fd
BuildRequires:	texlive-latex-cyrillic
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nickle is a programming language based prototyping environment with
powerful programming and scripting capabilities. Nickle supports a
variety of datatypes, especially arbitrary precision numbers. The
programming language vaguely resembles C. Some things in C which do
not translate easily are different, some design choices have been made
differently, and a very few features are simply missing.

Nickle provides the functionality of UNIX bc, dc and expr in
much-improved form. It is also an ideal environment for prototyping
complex algorithms. Nickle's scripting capabilities make it a nice
replacement for spreadsheets in some applications, and its numeric
features nicely complement the limited numeric functionality of
text-oriented languages such as AWK and PERL.

%description -l pl.UTF-8
Nickle to język programowania oparty na środowisku prototypowym z
potężnymi możliwościami programowania i skryptowania. Obsługuje wiele
różnych typów danych, w szczególności liczby dowolnej precyzji. Język
programowania w dużym stopniu przypomina C. Niektóre elementy w C,
które nie przekładają się bezpośrednio, są inne, część decyzji
projektowych się różni, brakuje bardzo nielicznych funkcji.

Nickle udostępnia funkcjonalność uniksowych poleceń bc, dc i expr w
bardzo udoskonalonej formie. Jest także idealnym środowiskiem do
tworzenia prototypów złożonych algorytmów. Możliwości skryptowe
czynią ten język przyjemnym zamiennikiem arkuszy kalkulacyjnych w
niektórych zastosowaniach, a możliwości obliczeniowe uzupełniają
ograniczoną funkcjonalność obliczeniową języków zorientowanych
tekstowo, takich jak AWK czy PERL.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}
mv -f $RPM_BUILD_ROOT%{_datadir}/nickle/examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# packaged as %doc
%{__rm} $RPM_BUILD_ROOT%{_docdir}/nickle/nickle-tutorial.pdf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README README.name TODO doc/tutorial/nickle-tutorial.pdf
%attr(755,root,root) %{_bindir}/nickle
%{_includedir}/nickle
%{_datadir}/nickle
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man1/nickle.1*
%changelog
* Thu Oct 17 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nickle.git;a=log;h=master

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 189a725
- release 2 (by relup.sh)

* Thu Jun 27 2019 Jakub Bogusz <qboosh@pld-linux.org> a17d9fd
- BR: texlive-fonts-jknappen (ecrm font)

* Wed Jun 26 2019 Jakub Bogusz <qboosh@pld-linux.org> b156421
- updated to 2.84
- removed obsolete doc patch

* Tue Oct 18 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> c5fea4b
- add BR texlive-latex-cyrillic

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> d9ccef9
- rebuild with readline 7.0
- release 4 (by relup.sh)

* Thu Feb 25 2016 Jan Rękorajski <baggins@pld-linux.org> 18d153a
- release 3 (by relup.sh)

* Thu Feb 25 2016 Jan Rękorajski <baggins@pld-linux.org> 6faead1
- added missing BR

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> 5794f91
- release 2 (by relup.sh)

* Sat Nov 10 2012 Jakub Bogusz <qboosh@pld-linux.org> 377e311
- updated to 2.77
- added doc patch (docbook/sgml fixes), package pdf tutorial

* Wed Jun 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 03db60e
- updated to 2.76

* Sat May 26 2012 Jakub Bogusz <qboosh@pld-linux.org> d55f3e1
- updated to 2.75

* Tue Mar 13 2012 Jakub Bogusz <qboosh@pld-linux.org> daf5905
- new

